<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Traits\Autenticable;
use DB;

class PreguntaController extends Controller
{
    use Autenticable;

    public function index(Request $request)
    {
        $datos = $request->json()->all();

        $token = $request->header('token');

        $usuario = $this->valida_token($token);
        if (is_null($usuario)) {
            return $this->tokenInvalido();
        }

        $bodegas = DB::table('preguntas')
            ->select('id_pregunta as id', 'codigo_producto as codigo', 'pregunta as pregunta','respuesta as respuesta', 'observacion as observacion', 'estado as estado')
            ->whereRaw('rut_empresa = \''.$usuario->rut_empresa.'\'')
            ->get();

        return response()->json($bodegas);
    }


}
